classification
Title: test_tcl fails when _tkinter linked with Tcl 8.4
Type: Stage: resolved
Components: Tests, Tkinter Versions: Python 3.4, Python 3.3, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: Arfrever, georg.brandl, ned.deily, python-dev, serhiy.storchaka
Priority: normal Keywords: buildbot, patch

Created on 2013-09-07 21:45 by ned.deily, last changed 2013-10-29 04:43 by georg.brandl. This issue is now closed.

Files
File name Uploaded Description Edit
test_tcl_84.patch serhiy.storchaka, 2013-09-07 23:55 review
Messages (10)
msg197192 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-09-07 21:45
The 32bit-only OS X installer links with Tcl/Tk 8.4 as these are the only supported native (Aqua) versions on older supported systems (OS X 10.5 Leopard and earlier).  These failures are also appearing on the Tiger (10.4) buildbots.

$ /usr/local/bin/python3.4 -c 'import tkinter;print(tkinter.TclVersion)'
8.4
$ /usr/local/bin/python3.4 -m test -w -uall test_tcl
[1/1] test_tcl
test test_tcl failed -- multiple errors occurred; run in verbose mode for details
1 test failed:
    test_tcl
Re-running failed tests in verbose mode
Re-running test 'test_tcl' in verbose mode
testCall (test.test_tcl.TclTest) ... ok
testCallException (test.test_tcl.TclTest) ... ok
testCallException2 (test.test_tcl.TclTest) ... ok
testEval (test.test_tcl.TclTest) ... ok
testEvalException (test.test_tcl.TclTest) ... ok
testEvalException2 (test.test_tcl.TclTest) ... ok
testEvalFile (test.test_tcl.TclTest) ... ok
testEvalFileException (test.test_tcl.TclTest) ... ok
testGetVar (test.test_tcl.TclTest) ... ok
testGetVarArray (test.test_tcl.TclTest) ... ok
testGetVarArrayException (test.test_tcl.TclTest) ... ok
testGetVarException (test.test_tcl.TclTest) ... ok
testLoadWithUNC (test.test_tcl.TclTest) ... skipped 'Requires Windows'
testPackageRequireException (test.test_tcl.TclTest) ... ok
testSetVar (test.test_tcl.TclTest) ... ok
testSetVarArray (test.test_tcl.TclTest) ... ok
testUnsetVar (test.test_tcl.TclTest) ... ok
testUnsetVarArray (test.test_tcl.TclTest) ... ok
testUnsetVarException (test.test_tcl.TclTest) ... ok
test_passing_values (test.test_tcl.TclTest) ... ok
test_split (test.test_tcl.TclTest) ... ERROR
test_splitlist (test.test_tcl.TclTest) ... ERROR
testFlattenLen (test.test_tcl.TkinterTest) ... ok
test_huge_string (test.test_tcl.BigmemTclTest) ... skipped 'needs UINT_MAX < SIZE_MAX'

======================================================================
ERROR: test_split (test.test_tcl.TclTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Library/Frameworks/Python.framework/Versions/3.4/lib/python3.4/test/test_tcl.py", line 237, in test_split
    (call('dict', 'create', 12, '\u20ac', b'\xe2\x82\xac', (3.4,)),
_tkinter.TclError: invalid command name "dict"

======================================================================
ERROR: test_splitlist (test.test_tcl.TclTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Library/Frameworks/Python.framework/Versions/3.4/lib/python3.4/test/test_tcl.py", line 203, in test_splitlist
    (call('dict', 'create', 1, '\u20ac', b'\xe2\x82\xac', (3.4,)),
_tkinter.TclError: invalid command name "dict"

----------------------------------------------------------------------
Ran 24 tests in 7.573s

FAILED (errors=2, skipped=2)
test test_tcl failed
msg197204 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-09-07 23:55
Indeed. The dict command was added in 8.5. Thanks for reminder of this. Here is a patch.
msg197206 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-09-08 00:25
LGTM. And, with the patch, test_tcl no longer fails.
msg197292 - (view) Author: Roundup Robot (python-dev) Date: 2013-09-08 17:34
New changeset 03ee22236465 by Serhiy Storchaka in branch '3.3':
Fixed tests with Tcl/Tk <8.5 (closes #18964).
http://hg.python.org/cpython/rev/03ee22236465

New changeset 138e086e187d by Serhiy Storchaka in branch 'default':
Fixed tests with Tcl/Tk <8.5 (closes #18964).
http://hg.python.org/cpython/rev/138e086e187d

New changeset a22cfd0bdc9a by Serhiy Storchaka in branch '2.7':
Fixed tests with Tcl/Tk <8.5 (closes #18964).
http://hg.python.org/cpython/rev/a22cfd0bdc9a
msg201434 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-10-27 07:20
For some reason, this still fails on the OpenIndiana builder:

http://buildbot.python.org/all/builders/AMD64%20OpenIndiana%203.3/builds/1104/steps/test/logs/stdio
msg201440 - (view) Author: Ned Deily (ned.deily) * (Python committer) Date: 2013-10-27 10:26
With 3.3.3rc1 and Tcl/Tk 8.4, I'm now seeing on OS X 10.5 with ActiveTcl 8.4.20:


======================================================================
ERROR: test_merge (test.test_tcl.TclTest)
----------------------------------------------------------------------
Traceback (most recent call last):
  File "/Library/Frameworks/Python.framework/Versions/3.3/lib/python3.3/test/test_tcl.py", line 280, in test_merge
    ((call('dict', 'create', 12, '\u20ac', b'\xe2\x82\xac', (3.4,)),),
_tkinter.TclError: invalid command name "dict"

----------------------------------------------------------------------
----------------------------------------------------------------------
Ran 25 tests in 8.921s

FAILED (errors=1, skipped=2)
test test_tcl failed
msg201442 - (view) Author: Roundup Robot (python-dev) Date: 2013-10-27 10:39
New changeset 5a8aa1102f82 by Serhiy Storchaka in branch '3.3':
Fixed merge test for Tcl/Tk <8.5 (issue #18964).
http://hg.python.org/cpython/rev/5a8aa1102f82
msg201443 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-10-27 10:39
Ahh, the newly committed test for merge needs the same guard as the other 'dict' calls!  I'll fix that in the release clone for 3.3.3 final.
msg201444 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2013-10-27 10:40
I hope this will help. Thank you Georg and Ned.
msg201602 - (view) Author: Georg Brandl (georg.brandl) * (Python committer) Date: 2013-10-29 04:43
Should be done.
History
Date User Action Args
2013-10-29 04:43:26georg.brandlsetstatus: open -> closed

messages: + msg201602
2013-10-28 23:19:41Arfreversetnosy: + Arfrever
2013-10-27 10:40:32serhiy.storchakasetmessages: + msg201444
2013-10-27 10:39:40georg.brandlsetmessages: + msg201443
2013-10-27 10:39:16python-devsetmessages: + msg201442
2013-10-27 10:26:51ned.deilysetmessages: + msg201440
2013-10-27 07:20:15georg.brandlsetstatus: closed -> open
nosy: + georg.brandl
messages: + msg201434

2013-09-08 17:34:46python-devsetstatus: open -> closed

nosy: + python-dev
messages: + msg197292

resolution: fixed
stage: patch review -> resolved
2013-09-08 00:25:50ned.deilysetmessages: + msg197206
2013-09-07 23:55:38serhiy.storchakasetfiles: + test_tcl_84.patch
keywords: + patch
messages: + msg197204

stage: needs patch -> patch review
2013-09-07 21:45:31ned.deilycreate